/*
	$Id: Base4c.h 1238 2018-12-03 14:46:43Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4c_Base4c_h__
#define __Base4c_Base4c_h__

#if defined (Base4c_EXPORT)
#	undef Base4c_EXPORT
#endif /* Base4c_EXPORT */

#if defined (LINUX)
#	define Base4c_EXPORT
#elif defined (_WINDOWS)
#	include <windows.h>
#	if defined (BASE4C_EXPORTS)
#		define Base4c_EXPORT __declspec( dllexport )
#	else
#		define Base4c_EXPORT __declspec( dllimport )
#	endif /* BASE4C_EXPORTS */
#	pragma warning( disable : 4251 4275 4290 4355 )
#endif /* LINUX */

#include <string>

namespace Base4c
{
	class Version;

	Base4c_EXPORT const std::string& product();
	Base4c_EXPORT const Base4c::Version& version();
	Base4c_EXPORT const std::string& copyright();

	typedef enum 
	{
		eNo = 0,
		eYes = 1,
		eBoth
	} YesNoFlag;

	typedef enum { utc, local } Zone;
};

#endif /* !__Base4c_Base4c_h__ */
