 // The following are the categories of events.
//
//  Values are 32 bit values laid out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_SYSTEM                  0x0
#define FACILITY_STUBS                   0x3
#define FACILITY_RUNTIME                 0x2
#define FACILITY_IO_ERROR_CODE           0x4


//
// Define the severity codes
//
#define STATUS_SEVERITY_WARNING          0x2
#define STATUS_SEVERITY_SUCCESS          0x0
#define STATUS_SEVERITY_INFORMATIONAL    0x3
#define STATUS_SEVERITY_ERROR            0x1


//
// MessageId: DAL_CATEGORY
//
// MessageText:
//
// Dal Events
//
#define DAL_CATEGORY                     ((WORD)0x00000001L)

//
// MessageId: DATA_CATEGORY
//
// MessageText:
//
// Data Events
//
#define DATA_CATEGORY                    ((WORD)0x00000002L)

//
// MessageId: EXTRACT_CATEGORY
//
// MessageText:
//
// Data Events
//
#define EXTRACT_CATEGORY                 ((WORD)0x00000003L)

//
// MessageId: UI_CATEGORY
//
// MessageText:
//
// UI Events
//
#define UI_CATEGORY                      ((WORD)0x00000004L)

//
// MessageId: DAEMON_CATEGORY
//
// MessageText:
//
// Daemon Events
//
#define DAEMON_CATEGORY                  ((WORD)0x00000005L)

//
// MessageId: MSG_BASE4C_EXCEPTION_WARN
//
// MessageText:
//
// A Base4c Exception Warning occured. Legend was: %1
//
#define MSG_BASE4C_EXCEPTION_WARN        ((DWORD)0x80020100L)

//
// MessageId: MSG_BASE4C_EXCEPTION_CRIT
//
// MessageText:
//
// A Base4c Exception Critical Error occured. Legend was: %1
//
#define MSG_BASE4C_EXCEPTION_CRIT        ((DWORD)0x40020101L)

//
// MessageId: MSG_SQL_EXCEPTION_CRIT
//
// MessageText:
//
// A SQL Exception Critical Error occured. Legend was: %1
//
#define MSG_SQL_EXCEPTION_CRIT           ((DWORD)0x40020102L)

//
// MessageId: MSG_DAL_EXCEPTION_CRIT
//
// MessageText:
//
// A DAL Exception Critical Error occured. Legend was: %1
//
#define MSG_DAL_EXCEPTION_CRIT           ((DWORD)0x40020103L)

//
// MessageId: MSG_WHAT_THE_
//
// MessageText:
//
// An unknown exception was caught.
//
#define MSG_WHAT_THE_                    ((DWORD)0x40020104L)

//
// MessageId: MSG_TEXT_ERROR
//
// MessageText:
//
// An Error was posted. Legend was: %1
//
#define MSG_TEXT_ERROR                   ((DWORD)0x40020106L)

//
// MessageId: MSG_TEXT_WARNING
//
// MessageText:
//
// A Warning was posted. Legend was: %1
//
#define MSG_TEXT_WARNING                 ((DWORD)0x80020105L)

//
// MessageId: MSG_TEXT_MESSAGE
//
// MessageText:
//
// A Message was posted. Legend was: %1
//
#define MSG_TEXT_MESSAGE                 ((DWORD)0xC0020107L)

//
// MessageId: MSG_TEXT_DEBUG
//
// MessageText:
//
// Debug info was posted. Legend was: %1
//
#define MSG_TEXT_DEBUG                   ((DWORD)0xC0020108L)

//
// MessageId: MSG_TEXT_TRACE
//
// MessageText:
//
// Trace info was posted. Legend was: %1
//
#define MSG_TEXT_TRACE                   ((DWORD)0xC0020109L)

