/*
	$Id: Semaphore.h 1211 2018-11-28 20:09:51Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4c_Semaphore_h__
#define __Base4c_Semaphore_h__

#include <Base4c/Base4c.h>

#include <Base4c/Exception.h>

#if defined (LINUX)
#	include <pthread.h>
#elif defined (_WINDOWS)
#	include <windows.h>
#endif

namespace Base4c
{
	class Base4c_EXPORT Semaphore
	{
		private:
#if defined (LINUX)
			pthread_mutex_t _mx;
			pthread_cond_t _cd;
#elif defined (_WINDOWS)
			HANDLE _ob;
#endif /* LINUX */

		public:
			Semaphore();
			virtual ~Semaphore();

			bool wait( unsigned long ulMilliSeconds = (unsigned long)-1 );
			void signal( bool bBroadcast = false );
	};
};

#endif /* !__Base4c_Semaphore_h__ */
