/*
	$Id: UnitConversions.h 1211 2018-11-28 20:09:51Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4c_UnitConversion_h__
#define __Base4c_UnitConversion_h__

#include <Base4c/Base4c.h>

#include <string>

namespace Base4c
{
	class Base4c_EXPORT UnitConversions
	{
	  public:
		enum UnitType
		{
			none,
			distance,
			altitude,
			weight,
			temperature, 
			pressure,
			depth
		};

		static double FtMeterConversion( double dValToConvert, bool toImperial);
		static double LbsKgsConversion( double dValToConvert, bool toImperial);
		static double InhgHpaConversion( double dValToConvert, bool toImperial );
		static double FehCelConversion( double dValToConvert, bool toImperial );
		static double InchMillimeterConversion( double dValToConvert, bool toImperial );
	};
};

#endif /* !__Base4c_UnitConversion_h__ */
