/*
	$Id: Util.h 1238 2018-12-03 14:46:43Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4c_Util_h__
#define __Base4c_Util_h__

#include <Base4c/Base4c.h>

#include <Base4c/Exception.h>
#include <Base4c/Variable.h>

#include <string>
#include <vector>
#include <map>

namespace Base4c
{
	class Base4c_EXPORT StringList : public std::vector<std::string>
	{
	};

	Base4c_EXPORT StringList tokenize( const std::string& str, const std::string& strDelim );
	Base4c_EXPORT StringList tokenize( const std::string& str, char cDelim );
	Base4c_EXPORT std::string expand( const std::string& str, const VariableMap& variableS );
	Base4c_EXPORT std::string& trim( std::string& str );
	Base4c_EXPORT std::string& ltrim( std::string& str );
	Base4c_EXPORT std::string& rtrim( std::string& str );
	Base4c_EXPORT void replace( std::string& strIn, const std::string& strReplace, const std::string& strReplacement );
	Base4c_EXPORT std::string createPath( const std::string& strPath );
	Base4c_EXPORT unsigned long crc32( unsigned long sum, unsigned char *p, unsigned long len );
};

#endif /* !__NavAuthData_Util_h__ */
