/*
	$Id: Variable.h 1211 2018-11-28 20:09:51Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4c_Variable_h__
#define __Base4c_Variable_h__

#include <Base4c/Base4c.h>

#include <Base4c/Variant.h>

#include <string>
#include <map>

namespace Base4c
{
	class Base4c_EXPORT Variable : public Variant
	{
		protected:
			std::string _strName;

		public:
			Variable( const std::string& strName = std::string() );
			Variable( const std::string& strName, const Variant& variant );
			Variable( const Variable& variable );
			virtual ~Variable();

			Variable& operator=( const Variable& variable );

			const std::string& name() const;
	};

	class Base4c_EXPORT VariableMap : public std::map<std::string, Variant>
	{
	};

};

#endif /* !__Base4c_Variable_h__ */
